0.16.0 (latest) 0.15.0 0.14.1 0.11.1 0.10.0 0.9.0 0.8.0 0.7.1 0.6.0 0.5.0 0.4.0 0.3.1 0.2.0 0.1.1

> [!WARNING]
> **Beta**
>
>
> This library is covered by the [Pre-GA Offerings Terms](https://docs.cloud.google.com/terms/service-terms#1)
> of the Terms of Service. Pre-GA libraries might have limited support,
> and changes to pre-GA libraries might not be compatible with other pre-GA versions.
> For more information, see the
> [launch stage descriptions](https://docs.cloud.google.com/products#product-launch-stages).

Reference documentation and code samples for the Google Cloud Gemini Data Analytics V1beta Client class QueryParameter.

A query parameter message represents a parameter that can be used to
parameterize a SQL query.

Generated from protobuf message `google.cloud.geminidataanalytics.v1beta.QueryParameter`

## Namespace

Google \\ Cloud \\ GeminiDataAnalytics \\ V1beta

## Methods

### __construct

Constructor.

| **Parameters** ||
|---|---|
| **Name** | **Description** |
| `data` | `array` Optional. Data for populating the Message object. |
| `↳ name` | `string` Required. The name of the parameter reference in the SQL query. |
| `↳ description` | `string` Optional. The description of the parameter that can be used by LLM to extract the parameter value from the user question. |
| `↳ data_type` | `string` Required. The data type of the parameter, e.g. "STRING", "INT64", "DATE", etc. For valid values, see the [BigQuery documentation](https://cloud.google.com/bigquery/docs/reference/standard-sql/data-types). This will be used to populate google.cloud.bigquery.v2.QueryParameterType.type. |

### getName

Required. The name of the parameter reference in the SQL query.

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `string` |   |

### setName

Required. The name of the parameter reference in the SQL query.

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `string` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |

### getDescription

Optional. The description of the parameter that can be used by LLM to
extract the parameter value from the user question.

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `string` |   |

### setDescription

Optional. The description of the parameter that can be used by LLM to
extract the parameter value from the user question.

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `string` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |

### getDataType

Required. The data type of the parameter, e.g. "STRING", "INT64", "DATE",
etc. For valid values, see the [BigQuery
documentation](https://cloud.google.com/bigquery/docs/reference/standard-sql/data-types).

This will be used to populate
google.cloud.bigquery.v2.QueryParameterType.type.

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `string` |   |

### setDataType

Required. The data type of the parameter, e.g. "STRING", "INT64", "DATE",
etc. For valid values, see the [BigQuery
documentation](https://cloud.google.com/bigquery/docs/reference/standard-sql/data-types).

This will be used to populate
google.cloud.bigquery.v2.QueryParameterType.type.

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `string` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |